Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3942 - initscripts are broken for ip aliasing under 2.2.x kernel series
Summary: initscripts are broken for ip aliasing under 2.2.x kernel series
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-07 22:07 UTC by brian
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-08 14:44:27 UTC


Attachments (Terms of Use)

Description brian 1999-07-07 22:07:08 UTC
The if-up and if-down scripts do not work for ip aliases
under 2.2.x in RHL5.2.  I upgraded all the appropriate
packages for using kernel 2.2.x under RHL5.2, and it still
didn't work.  The /etc/rc.d/init.d/network script reported
that device aliasing wasn't supported by the kernel.  It
was, and I brought the alias up manually with ifconfig.  I
ended up writing my own initscript and alias-up/down
scripts, but it is a cheap hack and I think it could be
taken care of better.

Comment 1 Bill Nottingham 1999-07-07 22:08:59 UTC
what happens if you comment out the portion of the initscripts
that refer to linuxconf?

Comment 2 Bill Nottingham 1999-07-07 22:34:59 UTC
what does ifcfg-eth* say?


Note You need to log in before you can comment on or make changes to this bug.